List Virtual Accounts V1
curl --request GET \
--url https://sandbox.api.fin.com/v1/customers/virtual-account \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v1/customers/virtual-account';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/customers/virtual-account")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/customers/virtual-account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/customers/virtual-account"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"virtual_accounts": [
{
"id": "92eceee4-ec6a-4fe3-a224-f5914cabe001",
"status": "ACTIVE",
"developer_fee_percent": 1.65,
"customer_id": "196ce546-900d-4294-90ca-5546a5923f35",
"created_at": "2025-12-22T06:09:23.456895Z",
"updated_at": "2025-12-22T06:09:23.456895Z",
"deposit_instructions": {
"currency": "USD",
"bank_name": "Bank of Nowhere",
"bank_address": "1800 North Pole St., Orlando, FL 32801",
"bank_routing_number": "101019644",
"bank_account_number": "900336047672",
"bank_beneficiary_name": "Portgas D Ace",
"bank_beneficiary_address": "321 British Columbia City, British Columbia, BC V0C 1Y0, CA",
"payment_rails": [
"ACH",
"FEDWIRE"
]
},
"destination": {
"currency": "USDC",
"address": "0x7f1568190e318da16a9ef5a46cba19d5b97d9b29"
}
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_page": 1,
"total": 6
}
}
}{
"message": "Authentication failed"
}{
"message": "<string>",
"errors": [
{}
]
}List Virtual Accounts
List Virtual Accounts V1
Retrieve a list of all virtual accounts for a specific customer
GET
/
v1
/
customers
/
virtual-account
List Virtual Accounts V1
curl --request GET \
--url https://sandbox.api.fin.com/v1/customers/virtual-account \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v1/customers/virtual-account';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/customers/virtual-account")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/customers/virtual-account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/customers/virtual-account"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"virtual_accounts": [
{
"id": "92eceee4-ec6a-4fe3-a224-f5914cabe001",
"status": "ACTIVE",
"developer_fee_percent": 1.65,
"customer_id": "196ce546-900d-4294-90ca-5546a5923f35",
"created_at": "2025-12-22T06:09:23.456895Z",
"updated_at": "2025-12-22T06:09:23.456895Z",
"deposit_instructions": {
"currency": "USD",
"bank_name": "Bank of Nowhere",
"bank_address": "1800 North Pole St., Orlando, FL 32801",
"bank_routing_number": "101019644",
"bank_account_number": "900336047672",
"bank_beneficiary_name": "Portgas D Ace",
"bank_beneficiary_address": "321 British Columbia City, British Columbia, BC V0C 1Y0, CA",
"payment_rails": [
"ACH",
"FEDWIRE"
]
},
"destination": {
"currency": "USDC",
"address": "0x7f1568190e318da16a9ef5a46cba19d5b97d9b29"
}
}
],
"pagination": {
"current_page": 1,
"per_page": 10,
"total_page": 1,
"total": 6
}
}
}{
"message": "Authentication failed"
}{
"message": "<string>",
"errors": [
{}
]
}This endpoint was deprecated on May 20, 2026. Use List Virtual Accounts V2 instead.
Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Query Parameters
Response
Virtual accounts retrieved successfully
Show child attributes
Show child attributes
⌘I
